mathieucarbou
1 Nickel

UP2414Q, DUCCS 1.6.5, crashes on macOS Mojave

I have a Dell UltraSharp UP2414Q, Dell UltraSharp Calibration Solution 1.6.5, and X-Rite i1 Display Pro.

I have upgraded to macOS Mojave.

Now when I start the calibration process, I get the following error directly at the beginning of the calibration.

Could Dell please provide a software update for Mojave?

Screen Shot 2019-03-12 at 18.03.28.png

Screen Shot 2019-03-12 at 18.04.02.png

Screen settings were reset, factory reset was done. Monitor USB cable and i1 Display Pro are directly connected to the MacBook Pro (mid 2015).

Labels (4)
0 Kudos
3 Replies
Moderator
Moderator

Re: UP2414Q, DUCCS 1.6.5, crashes on macOS Mojave

* Click my name and private message me the UP2414Q service tag number and 20 digit serial number

* Where did you get DUCCS 1.6.5? What was its complete download file name and link?
* For the five year old discontinued UP2414Q, the last and only supported DUCCS was here dated 4/24/14. It does not list the Apple OS names like Mojave. It simply states =
Supported Operating Systems
Apple Mac OS
Apple MAC OS 9

Dell never tested/validated any of the newer DUCCS on this model. The fact that they might have worked prior to Mojave was pure chance. You should post the issue on the Apple Forum and see what other Apple users have done as far as DUCCS/Mojave troubleshooting.

 

0 Kudos
mathieucarbou
1 Nickel

Re: UP2414Q, DUCCS 1.6.5, crashes on macOS Mojave

Hi Chris,

* As you may know, some Dell monitors such as Dell UP2414Q do not have a service tag. But I am sending you the S/N in private.

* DUCCS 1.6.5: I did not get it: DUCCS on Mac automatically updates itself.

DUCCS 1.6.5 was working fine until Mojave update. I know Dell website states it is not supported but Dell website also states that I have bought a Dell monitor with hardware calibration capabilities so I am supposed to be able to use it.

DisplayCal (ArgyllCMS) is able to profile without any problem.

What I need is a way to install the LUT tables into the Dell UP2414Q monitor. Whether it is done through DUCCS or another mean, I don't mind. I just need to be able to install the LUT tables.

0 Kudos
Moderator
Moderator

Re: UP2414Q, DUCCS 1.6.5, crashes on macOS Mojave

Dell website also states that I have bought a Dell monitor with hardware calibration capabilities so I am supposed to be able to use it.
* That is true for the operating systems that were released when this monitor was released in 2014. Dell is not going to re-certify old monitors every time Apple decides to update their proprietary OS.

For this out of warranty monitor, you have two choices:
- Back the Apple OS down to the previous working Apple OS version
- Use 10.14 (Mojave) and hopefully find a solution from other Apple users on their Forum

 

0 Kudos